Bug 1603294 (CVE-2018-14054)

Summary: CVE-2018-14054 libmp4v2: Double free in the MP4StringProperty class in mp4property.cpp
Product: [Other] Security Response Reporter: Pedro Sampaio <psampaio>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: amigadave, dominik, matthias, moez.roy, sergio
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:33:39 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1603296, 1603298    
Bug Blocks:    

Description Pedro Sampaio 2018-07-19 14:18:16 UTC
A double free exists in the MP4StringProperty class in mp4property.cpp in MP4v2 2.0.0. A dangling pointer is freed again in the destructor once an exception is triggered.

References:

http://www.openwall.com/lists/oss-security/2018/07/13/1

Comment 1 Pedro Sampaio 2018-07-19 14:18:55 UTC
Created libmp4v2 tracking bugs for this issue:

Affects: epel-all [bug 1603298]
Affects: fedora-all [bug 1603296]

Comment 2 Product Security DevOps Team 2019-06-10 10:33:39 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.